IF NOT EXIST inf_mod\inf_mod.log GOTO :SKIPLOGCHECK
FINDSTR /C:"[Integrated Catalog Files]" inf_mod\inf_mod.log>NUL
IF ERRORLEVEL 1 DEL inf_mod\inf_mod.log & GOTO :SKIPLOGCHECK
ECHO.>>inf_mod\inf_mod.log
FINDSTR /C:"[Integrated INF Files]" inf_mod\inf_mod.log>NUL
IF NOT ERRORLEVEL 1 DEL inf_mod\inf_mod.log
:SKIPLOGCHECK

IF "%MULTICAB%"=="ON" GOTO :WARNING
ECHO [Integrated INF Files]>>inf_mod\inf_mod.log
ECHO.>>NEWBIN.TXT
SET INF_SOURCEDIR=I386

ECHO.&ECHO Editing inf files...


ECHO %~n0 | FINDSTR /R /I "^HFSLIP32_">NUL
IF NOT ERRORLEVEL 1 (
	IF NOT EXIST HFTOOLS\HFSLIP32_POST_getnewfiles*.cmd IF EXIST NEWBIN.TXT DEL NEWBIN.TXT
)ELSE (
	ECHO %~n0 | FINDSTR /R /I "^HFSLIP64_">NUL
	IF NOT ERRORLEVEL 1 (
		IF NOT EXIST HFTOOLS\HFSLIP64_POST_getnewfiles*.cmd IF EXIST NEWBIN.TXT DEL NEWBIN.TXT
		SET INF_SOURCEDIR=AMD64
		)ELSE (
		IF NOT EXIST HFTOOLS\HFSLIP_POST_getnewfiles*.cmd IF EXIST NEWBIN.TXT DEL NEWBIN.TXT
	)
)


FOR /F "DELIMS=" %%I IN ('DIR /B /A-D /S HFEXPERT\DRIVERCAB') DO (
	IF /I "%%~xI"==".INF" (
		ECHO %%I>>inf_mod\inf_mod.log
		FINDSTR /R /I "\[Version\]" "%%I">NUL
		IF ERRORLEVEL 1 ECHO ^  -^>Unicode or corrupted. Can not be integrated.>>inf_mod\inf_mod.log
		IF NOT ERRORLEVEL 1 (
			FINDSTR /R /I "CopyFiles.*=.*[a-zA-Z0-9]" "%%I">NUL
			IF ERRORLEVEL 1 ECHO ^  -^>No need to edit. Referenced catalog files can be integrated if any.>>inf_mod\inf_mod.log
			IF NOT ERRORLEVEL 1 inf_mod\onigsed -f inf_mod\inf_mod.sed "%%I" >SOURCESS\%INF_SOURCEDIR%\%%~nxI
		)
	) ELSE IF /I NOT "%%~xI"==".CAT" ECHO %%~nxI>>NEWBIN.TXT
)


ECHO.&ECHO Deleting useless files...

FOR /F "DELIMS=" %%I IN ('DIR /B /A-D /S HFEXPERT\STORAGE') DO (
	IF /I "%%~xI"==".CAT" (
		DEL /F SOURCESS\%INF_SOURCEDIR%\%%~nI.ca_
		call :DELTXTSETUP %%I
	)
	IF /I "%%~nxI"=="TXTSETUP.OEM" (
		DEL /F SOURCESS\%INF_SOURCEDIR%\TXTSETUP.OE_
		call :DELTXTSETUP %%I
	)
)



:WARNING
IF "%MULTICAB%"=="ON" (
	ECHO.>>inf_mod\inf_mod.log
	ECHO [Warning]>>inf_mod\inf_mod.log
	ECHO DRIVERCOMP is %DRIVERCOMP%. Driver integration works with merging options A, B and C.>>inf_mod\inf_mod.log
	ECHO [Warning]
	ECHO DRIVERCOMP is %DRIVERCOMP%. Driver integration works with merging options A, B and C.
)

IF EXIST HFEXPERT\STORAGE\*.SYS IF NOT EXIST HFEXPERT\STORAGE\STORAGE*.INI (
	IF NOT "%MULTICAB%"=="ON" ECHO.>>inf_mod\inf_mod.log
	IF NOT "%MULTICAB%"=="ON" ECHO [Warning]>>inf_mod\inf_mod.log
	ECHO There is no STORAGE.INI. Storage driver integration failed.>>inf_mod\inf_mod.log
	IF NOT "%MULTICAB%"=="ON" ECHO.
	ECHO There is no STORAGE.INI. Storage driver integration failed.
)

FINDSTR /R /I "Unicode.or.corrupted..Can.not.integrated." inf_mod\inf_mod.log
IF NOT ERRORLEVEL 1 (
	FINDSTR /R /I "\[Warning\]" inf_mod\inf_mod.log
	IF ERRORLEVEL 1 ECHO.>>inf_mod\inf_mod.log & ECHO [Warning]>>inf_mod\inf_mod.log
	ECHO At least one INF file is Unicode or corrupted. Please check.>>inf_mod\inf_mod.log
)

GOTO :EOF


:DELTXTSETUP
REN SOURCESS\%INF_SOURCEDIR%\TXTSETUP.SIF TXTSETUP.SIF.TMP
inf_mod\onigsed.exe -e "/^%~nx1/d" SOURCESS\%INF_SOURCEDIR%\TXTSETUP.SIF.TMP>SOURCESS\%INF_SOURCEDIR%\TXTSETUP.SIF
DEL SOURCESS\%INF_SOURCEDIR%\TXTSETUP.SIF.TMP
GOTO :EOF



Ver.0.2.4
