IF EXIST DELBIN.TXT DEL DELBIN.TXT
ECHO [Integrated Catalog Files]>inf_mod\inf_mod.log
IF "%MULTICAB%"=="ON" GOTO :STORAGECAT

ECHO.&ECHO Adding catalog files from HFEXPERT\DRIVERCAB...


FOR /F "DELIMS=" %%I IN ('DIR /B /A-D /S HFEXPERT\DRIVERCAB') DO (
	IF /I "%%~xI"==".INF" (
		FINDSTR /R /I "\[Version\]" "%%I">NUL
		IF ERRORLEVEL 1 ECHO %%I is Unicode or corrupted. Please check.
		IF NOT ERRORLEVEL 1 (
			FINDSTR /R /I "CopyFiles.*=.*[a-zA-Z0-9]" "%%I">NUL
			IF ERRORLEVEL 1 FINDSTR /R /I ".*\.cat" "%%I">>cat_list.tmp
		)
	)
)
FOR /F "DELIMS=" %%I IN ('DIR /B /A-D /S HFEXPERT\DRIVERCAB') DO (
	IF /I "%%~xI"==".CAT" (
		ECHO %%~nxI>>DELBIN.TXT
		FINDSTR /R /I %%~nxI cat_list.tmp>NUL
		IF NOT ERRORLEVEL 1 (
			XCOPY /Y "%%I" WORK\SVCPACK
			ECHO %%I>>inf_mod\inf_mod.log
		)
	)
)
DEL cat_list.tmp


:STORAGECAT
IF NOT EXIST HFEXPERT\STORAGE\STORAGE*.INI GOTO :EOF
ECHO.&ECHO Adding catalog files from HFEXPERT\STORAGE

FOR /F "DELIMS=" %%I IN ('DIR /B /A-D /S HFEXPERT\STORAGE') DO (
	IF /I "%%~xI"==".CAT" (
		XCOPY /Y "%%I" WORK\SVCPACK
		ECHO %%I>>inf_mod\inf_mod.log
	)
)


FINDSTR /R /I ".CAT$" inf_mod\inf_mod.log>NUL
IF ERRORLEVEL 1 ECHO No catalog files are integrated.>>inf_mod\inf_mod.log

GOTO :EOF



Ver.0.2.4
